Package org.eclipse.viatra.query.runtime.api

## Enum ViatraQueryModelUpdateListener.ChangeLevel

- java.lang.Object
- - java.lang.Enum<ViatraQueryModelUpdateListener.ChangeLevel>
  - - org.eclipse.viatra.query.runtime.api.ViatraQueryModelUpdateListener.ChangeLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ViatraQueryModelUpdateListener.ChangeLevel>`
  Enclosing interface:
    ViatraQueryModelUpdateListener

      public static enum ViatraQueryModelUpdateListener.ChangeLevel
      extends java.lang.Enum<ViatraQueryModelUpdateListener.ChangeLevel>

  Possible notification levels for changes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INDEX` |
    `MATCHSET` |
    `MODEL` |
    `NO_CHANGE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ViatraQueryModelUpdateListener.ChangeLevel` | `changeOccured​(ViatraQueryModelUpdateListener.ChangeLevel occuredLevel)` |
    `static ViatraQueryModelUpdateListener.ChangeLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ViatraQueryModelUpdateListener.ChangeLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CHANGE

          public static final ViatraQueryModelUpdateListener.ChangeLevel NO_CHANGE

    - #### MODEL

          public static final ViatraQueryModelUpdateListener.ChangeLevel MODEL

    - #### INDEX

          public static final ViatraQueryModelUpdateListener.ChangeLevel INDEX

    - #### MATCHSET

          public static final ViatraQueryModelUpdateListener.ChangeLevel MATCHSET

  - ### Method Detail

    - #### values

          public static ViatraQueryModelUpdateListener.ChangeLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViatraQueryModelUpdateListener.ChangeLevel c : ViatraQueryModelUpdateListener.ChangeLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViatraQueryModelUpdateListener.ChangeLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### changeOccured

          public ViatraQueryModelUpdateListener.ChangeLevel changeOccured​(ViatraQueryModelUpdateListener.ChangeLevel occuredLevel)